/*
	PARMS.HPP
	Copyright (c) Les Hancock 1990
*/

#ifndef PARMS_HPP
#define PARMS_HPP

struct parms
{
	unsigned int max_rows:6;	                          // can never exceed 63
	unsigned int max_cols:8;                          // can never exceed 196
	unsigned int pq:2;	                                     // print quality
	unsigned int lpi:4;                      // can't exceed 8 lines per inch
	unsigned int tab_size:5;	     // allow max of 31 spaces for tab expansion
	unsigned int cpi:5;                     // can't exceed 20 chars per inch
	unsigned int gutter:3;	           // up to 7 spaces for mid-page gutter
	unsigned int title:1;           // 1 if user chose to title pages, else 0
	filebuf fp_out;
	file_list file_list;
	parms(int argc, char *argv[]);
};

#endif
