/*
	LIST.HPP
	Copyright (c) Les Hancock 1990
*/

#ifndef LIST_HPP
#define LIST_HPP

extern const char *default_name;

struct node
{
	node *next;
	const char *string;
};

class file_list
{
	static node *head;
	node *make_a_node(const char *file_name);
public:
	file_list(void) { head = 0; }
	const char *pop_file_name(void);
	void push_file_name(const char *file_name);
};

#endif
